wibble::commandline::Int Struct Reference

`#include <options.h>`

## Public Types

typedef int | value_type

## Static Public Member Functions

static int | parse (const std::string &val)
static bool | toBool (const value_type &val)
static int | toInt (const value_type &val)
static std::string | toString (const value_type &val)

## Static Public Attributes

static int | init_val = 0

## Member Typedef Documentation

## value_type

typedef int wibble::commandline::Int::value_type

## Member Function Documentation

## parse()

int wibble::commandline::Int::parse | ( | const std::string & | val | ) |

static

## toBool()

bool wibble::commandline::Int::toBool | ( | const value_type & | val | ) |

static

## toInt()

int wibble::commandline::Int::toInt | ( | const value_type & | val | ) |

static

## toString()

std::string wibble::commandline::Int::toString | ( | const value_type & | val | ) |

static

References wibble::str::fmt().

## Member Data Documentation

## init_val

int wibble::commandline::Int::init_val = 0

static

The documentation for this struct was generated from the following files:

- options.h
- options.cpp